package cn.hmsoft.helper.http;

import java.util.HashMap;
import java.util.Map;

public class HttpRequestEntity {
	// url地址
		private String http_url;
		// 连接超时毫秒
		private int connect_timeout = 5000;
		// 读取超时毫秒
		private int read_timeout = 5000;
		// post还是get
		private String method = "post";
		// post还是get
		private String charset = "utf-8";

		private Map<String, Object> requestMap = new HashMap<String,Object>();

		private Map<String, String> headMap = new HashMap<String, String>();
		private Map<String, String> responseHeadMap = new HashMap<String, String>();

		public Map<String, Object> getRequestMap() {
			return requestMap;
		}

		public void setRequestMap(Map<String, Object> requestMap) {
			this.requestMap = requestMap;
		}

		public String getHttp_url() {
			return http_url;
		}

		public void setHttp_url(String http_url) {
			this.http_url = http_url;
		}

		public int getConnect_timeout() {
			return connect_timeout;
		}

		public void setConnect_timeout(int connect_timeout) {
			this.connect_timeout = connect_timeout;
		}

		public int getRead_timeout() {
			return read_timeout;
		}

		public void setRead_timeout(int read_timeout) {
			this.read_timeout = read_timeout;
		}

		public String getMethod() {
			return method;
		}

		public void setMethod(String method) {
			this.method = method;
		}

		public Map<String, String> getHeadMap() {
			return headMap;
		}

		public Map<String, String> getResponseHeadMap() {
			return responseHeadMap;
		}

		public String getCharset() {
			return charset;
		}

		public void setCharset(String charset) {
			this.charset = charset;
		}
}
